com.trendmicro.ds.platform.rest.object.util

## Class StatusSummaryElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.StatusSummaryElement

-     public class StatusSummaryElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusSummaryElement()`
    `StatusSummaryElement(int alertErrorNum, int alertWarningNum, HostStatusSummaryElement hostStatusSummary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlertErrorNum()` Gets the alertErrorNum value for this StatusSummaryElement.
    `int` | `getAlertWarningNum()` Gets the alertWarningNum value for this StatusSummaryElement.
    `HostStatusSummaryElement` | `getHostStatusSummary()` Gets the hostStatusSummary value for this StatusSummaryElement.
    `void` | `setAlertErrorNum(int alertErrorNum)` Sets the alertErrorNum value for this StatusSummaryElement.
    `void` | `setAlertWarningNum(int alertWarningNum)` Sets the alertWarningNum value for this StatusSummaryElement.
    `void` | `setHostStatusSummary(HostStatusSummaryElement hostStatusSummary)` Sets the hostStatusSummary value for this StatusSummaryElement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusSummaryElement

          public StatusSummaryElement()

    - #### StatusSummaryElement

          public StatusSummaryElement(int alertErrorNum,
                                      int alertWarningNum,
                                      HostStatusSummaryElement hostStatusSummary)

  - ### Method Detail

    - #### getAlertErrorNum

          public int getAlertErrorNum()

      Gets the alertErrorNum value for this StatusSummaryElement.
      Returns:
        alertErrorNum

    - #### setAlertErrorNum

          public void setAlertErrorNum(int alertErrorNum)

      Sets the alertErrorNum value for this StatusSummaryElement.
      Parameters:
        `alertErrorNum` -

    - #### getAlertWarningNum

          public int getAlertWarningNum()

      Gets the alertWarningNum value for this StatusSummaryElement.
      Returns:
        alertWarningNum

    - #### setAlertWarningNum

          public void setAlertWarningNum(int alertWarningNum)

      Sets the alertWarningNum value for this StatusSummaryElement.
      Parameters:
        `alertWarningNum` -

    - #### getHostStatusSummary

          public HostStatusSummaryElement getHostStatusSummary()

      Gets the hostStatusSummary value for this StatusSummaryElement.
      Returns:
        hostStatusSummary

    - #### setHostStatusSummary

          public void setHostStatusSummary(HostStatusSummaryElement hostStatusSummary)

      Sets the hostStatusSummary value for this StatusSummaryElement.
      Parameters:
        `hostStatusSummary` -

Copyright © 2017 Trend Micro Inc. All Rights Reserved.